MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031773Open CASCADE[OCCT] OCCT:Visualizationpublic2020-09-17 18:332020-09-27 14:29
Reportermzernova 
Assigned Tomzernova 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031773: Visualization - add Prs3d_ToolTorus
DescriptionAdd tool for creating a torus to Prs3d that will take the following parameters:
inner radius, external radius, angle
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberv3d/quadric/cylinder,sphere,torus
Attached Files

- Relationships
child of 0028010closedapn Visualization, Prs3d_Arrow - add Shading presentation builder 
child of 0031733verifiedbugmaster Visualization, Prs3d_ToolQuadric - create indexed arrays 

-  Notes
(0094986)
git (administrator)
2020-09-17 22:54

Branch CR31773 has been created by mzernova.

SHA-1: 2280f99cdc0dd34676b5f0e72a9db5949f31df61


Detailed log of new commits:

Author: mzernova
Date: Thu Sep 17 22:55:27 2020 +0300

    0031773: Visualization - add Prs3d_ToolTorus
(0094987)
mzernova (developer)
2020-09-17 22:55

The patch CR31773 is ready to review
(0094988)
git (administrator)
2020-09-17 22:56

Branch CR31773 has been updated forcibly by mzernova.

SHA-1: 33c882c6a203505b276eda6fbfa10fb5ddc15037
(0095008)
kgv (developer)
2020-09-18 09:10

+  return gp_Pnt ((myMajorRadius + myMinorRadius * cos (aV)) * cos (aU),
+                 (myMajorRadius + myMinorRadius * cos (aV)) * sin (aU),

Please use Cos()/Sin() wrappers.
(0095009)
kgv (developer)
2020-09-18 09:15

+  //! Generate primitives for 3D quadric surface and return a filled array.
+  static Handle(Graphic3d_ArrayOfTriangles) Create (const Standard_Real    theMajorRad,
+                                                    const Standard_Real    theMinorRad,
+                                                    const Standard_Real    theVMin,
+                                                    const Standard_Real    theVMax,
+                                                    const Standard_Integer theNbSlices,
+                                                    const Standard_Integer theNbStacks,
+                                                    const gp_Trsf&         theTrsf)
...
+  Standard_Real myMajorRadius;
+  Standard_Real myMinorRadius;
+  Standard_Real myAngle;
+  Standard_Real myVMin;
+  Standard_Real myVMax;

Please put parameters and class fields description.

Are there a constructor similar to BRepPrimAPI_MakeTorus taking a pair of angles instead of a single one?
  theCommands.Add("ptorus",   "ptorus name [plane(ax2)] R1 R2 [angle1 angle2] [angle]",__FILE__,torus,g);

(0095040)
git (administrator)
2020-09-18 16:36

Branch CR31773 has been updated by mzernova.

SHA-1: d40e50d3b934d582ecf08a7984af87498d68d378


Detailed log of new commits:

Author: mzernova
Date: Fri Sep 18 16:30:22 2020 +0300

    Added DRAW commands:
    - vtorus
    - vcylinder
    - vsphere

Author: mzernova
Date: Fri Sep 18 11:19:23 2020 +0300

    remarks from kgv

(0095042)
git (administrator)
2020-09-18 16:36

Branch CR31773_1 has been created by mzernova.

SHA-1: 0be8a029414534ec66aacf73964740356c817414


Detailed log of new commits:

Author: mzernova
Date: Thu Sep 17 22:55:27 2020 +0300

    0031773: Visualization - add Prs3d_ToolTorus
    
    Added Prs3d_ToolTorus tool to create a torus
    
    Added DRAW commands:
    - vtorus
    - vcylinder
    - vsphere
(0095043)
mzernova (developer)
2020-09-18 16:37

The patch CR31773 is ready to review
(0095044)
git (administrator)
2020-09-18 16:51

Branch CR31773_1 has been updated forcibly by kgv.

SHA-1: d15a11f189d69d72731502b3ad9c901c3f1751c8
(0095048)
git (administrator)
2020-09-18 18:28

Branch CR31773_1 has been updated forcibly by mzernova.

SHA-1: c440c863165f5102f77d5520c970a2f839803b74
(0095049)
git (administrator)
2020-09-18 18:28

Branch CR31773 has been updated by mzernova.

SHA-1: 48d5e7a3a41dc74ba9022b441fa17ca8f6084a22


Detailed log of new commits:

Author: mzernova
Date: Fri Sep 18 18:27:08 2020 +0300

    Added test cases:
    - v3d/quadric/torus
    - v3d/quadric/cylinder
    - v3d/quadric/sphere

(0095050)
kgv (developer)
2020-09-18 19:44
edited on: 2020-09-18 19:44

Please add description of torus/sphere/cylinder parameters in Draw Harness commands to their help.

Please also propagation parameter description to similar commands building shape primitives - e.g. pcylinder, psphere, ptorus as well as their C++ classes for completeness of documentation.

And start Jenkins job.

(0095167)
git (administrator)
2020-09-20 21:09

Branch CR31773 has been updated by mzernova.

SHA-1: 60744576ba2a6696ed93bbb4c3ef9998bbbb2ea3


Detailed log of new commits:

Author: mzernova
Date: Sun Sep 20 21:11:11 2020 +0300

    updated documentation

(0095168)
git (administrator)
2020-09-20 21:09

Branch CR31773_1 has been updated forcibly by mzernova.

SHA-1: ab15c48f0a97320c5e12c92d970e06d4c4851cd7
(0095169)
git (administrator)
2020-09-20 21:14

Branch CR31773_1 has been updated forcibly by mzernova.

SHA-1: 4a6c62f16adbdf713d46c77ee6dba6684658fd78
(0095170)
git (administrator)
2020-09-20 21:15

Branch CR31773 has been updated forcibly by mzernova.

SHA-1: 1fdb2608c5fe4b86691e9235f364eb409c36ffec
(0095171)
mzernova (developer)
2020-09-20 21:16

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31773-master-mzernova [^]
(0095183)
git (administrator)
2020-09-21 12:23

Branch CR31773 has been updated by mzernova.

SHA-1: 4f40970a4632b183f6c17b18876845acf1bf14e4


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 21 12:25:24 2020 +0300

    updated documentation

(0095184)
git (administrator)
2020-09-21 12:23

Branch CR31773_1 has been updated forcibly by mzernova.

SHA-1: adc9d387575d4c33ac42b436b7c52860c20168e1
(0095185)
git (administrator)
2020-09-21 12:33

Branch CR31773_1 has been updated forcibly by mzernova.

SHA-1: 113bda7072530e42c07389c6e000207431cec9f3
(0095186)
git (administrator)
2020-09-21 12:33

Branch CR31773 has been updated by mzernova.

SHA-1: b91ae8373af2e51df17fce63e3046e253ea6d916


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 21 12:34:59 2020 +0300

    remarks from kgv

(0095187)
kgv (developer)
2020-09-21 12:59

Please raise the patch
- OCCT branch: CR31773_1.
(0095358)
bugmaster (administrator)
2020-09-27 14:10

Combination -
OCCT branch : IR-2020-09-25
master SHA - d7bc5c833ec064bd103ebbff2882146ad5a7e7de
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-25 SHA - a8c0c30ba368a2503bbdf9800228ace93993dfff
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18039.260000000093 / 17637.5100000001 [+2.28%]
Products
Total CPU difference: 12124.200000000114 / 12092.06000000011 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19753.9375 / 18982.296875 [+4.07%]
Products
Total CPU difference: 13527.921875 / 13315.40625 [+1.60%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095391)
git (administrator)
2020-09-27 14:29

Branch CR31773_1 has been deleted by inv.

SHA-1: 113bda7072530e42c07389c6e000207431cec9f3
(0095392)
git (administrator)
2020-09-27 14:29

Branch CR31773 has been deleted by inv.

SHA-1: b91ae8373af2e51df17fce63e3046e253ea6d916

- Related Changesets
occt: master 113bda70
Timestamp: 2020-09-17 19:55:27
Author: mzernova
Details ] Diff ]
0031773: Visualization - add Prs3d_ToolTorus

Added Prs3d_ToolTorus tool to create a torus

Added DRAW commands:
- vtorus
- vcylinder
- vsphere

Added test cases:
- v3d/quadric/torus
- v3d/quadric/cylinder
- v3d/quadric/sphere
mod - src/BRepPrim/BRepPrim_Cylinder.hxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_Torus.hxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCone.hxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCylinder.hxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeSphere.hxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeTorus.hxx Diff ] File ]
mod - src/BRepTest/BRepTest_PrimitiveCommands.cxx Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
mod - src/Prs3d/Prs3d_ToolCylinder.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolDisk.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolQuadric.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolSector.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ToolSphere.hxx Diff ] File ]
add - src/Prs3d/Prs3d_ToolTorus.cxx Diff ] File ]
add - src/Prs3d/Prs3d_ToolTorus.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - tests/v3d/grids.list Diff ] File ]
add - tests/v3d/quadric/begin Diff ] File ]
add - tests/v3d/quadric/cylinder Diff ] File ]
add - tests/v3d/quadric/sphere Diff ] File ]
add - tests/v3d/quadric/torus Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-17 18:33 mzernova New Issue
2020-09-17 18:33 mzernova Assigned To => mzernova
2020-09-17 19:13 kgv Target Version 7.6.0* => 7.5.0
2020-09-17 19:13 kgv Summary Visualization, Create Prs3d_ToolTorus => Visualization - add Prs3d_ToolTorus
2020-09-17 19:26 kgv Relationship added child of 0028010
2020-09-17 22:54 git Note Added: 0094986
2020-09-17 22:55 mzernova Note Added: 0094987
2020-09-17 22:55 mzernova Assigned To mzernova => kgv
2020-09-17 22:55 mzernova Status new => resolved
2020-09-17 22:55 mzernova Steps to Reproduce Updated View Revisions
2020-09-17 22:56 git Note Added: 0094988
2020-09-18 09:10 kgv Note Added: 0095008
2020-09-18 09:15 kgv Note Added: 0095009
2020-09-18 09:16 kgv Assigned To kgv => mzernova
2020-09-18 09:16 kgv Status resolved => assigned
2020-09-18 09:16 kgv Relationship added child of 0031733
2020-09-18 16:36 git Note Added: 0095040
2020-09-18 16:36 git Note Added: 0095042
2020-09-18 16:37 mzernova Note Added: 0095043
2020-09-18 16:37 mzernova Assigned To mzernova => kgv
2020-09-18 16:37 mzernova Status assigned => resolved
2020-09-18 16:51 git Note Added: 0095044
2020-09-18 18:28 git Note Added: 0095048
2020-09-18 18:28 git Note Added: 0095049
2020-09-18 19:38 kgv Assigned To kgv => mzernova
2020-09-18 19:38 kgv Status resolved => assigned
2020-09-18 19:44 kgv Note Added: 0095050
2020-09-18 19:44 kgv Note Edited: 0095050 View Revisions
2020-09-20 21:09 git Note Added: 0095167
2020-09-20 21:09 git Note Added: 0095168
2020-09-20 21:14 git Note Added: 0095169
2020-09-20 21:15 git Note Added: 0095170
2020-09-20 21:16 mzernova Note Added: 0095171
2020-09-20 23:35 mzernova Assigned To mzernova => kgv
2020-09-20 23:35 mzernova Status assigned => resolved
2020-09-21 12:23 git Note Added: 0095183
2020-09-21 12:23 git Note Added: 0095184
2020-09-21 12:33 git Note Added: 0095185
2020-09-21 12:33 git Note Added: 0095186
2020-09-21 12:59 kgv Note Added: 0095187
2020-09-21 12:59 kgv Assigned To kgv => bugmaster
2020-09-21 12:59 kgv Status resolved => reviewed
2020-09-21 18:04 bugmaster Target Version 7.5.0 => 7.6.0*
2020-09-21 19:26 kgv Target Version 7.6.0* => 7.5.0
2020-09-27 12:11 bugmaster Test case number => v3d/quadric/cylinder,sphere,torus
2020-09-27 14:10 bugmaster Note Added: 0095358
2020-09-27 14:10 bugmaster Status reviewed => tested
2020-09-27 14:13 mzernova Changeset attached => occt master 113bda70
2020-09-27 14:13 mzernova Assigned To bugmaster => mzernova
2020-09-27 14:13 mzernova Status tested => verified
2020-09-27 14:13 mzernova Resolution open => fixed
2020-09-27 14:29 git Note Added: 0095391
2020-09-27 14:29 git Note Added: 0095392


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker